
Foreman - Refactor #12935

Check js code against jQuery upgrade guide and release notes

12/24/2015 02:31 AM - Tomer Brisker

Status: New   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

jQuery has been upgraded from 1.7.2 to 1.11.

There have been several changes to the jQuery code that may need corrections in our js code.

1.8 Release notes - https://blog.jquery.com/2012/08/09/jquery-1-8-released/

1.9 Upgrade Guide - http://jquery.com/upgrade-guide/1.9

1.10 Release notes - https://blog.jquery.com/2013/05/24/jquery-1-10-0-and-2-0-1-released/

1.11 Release notes - http://blog.jquery.com/2014/01/24/jquery-1-11-and-2-1-released/

Most of the breaking changes are cause by the 1.9 version.

Related issues:

Related to Foreman - Refactor #8705: Update jQuery to recent version Closed 12/14/2014

Related to Foreman - Bug #12934: Unhiding paramter values clears their value Closed 12/24/2015

History

#1 - 12/24/2015 02:32 AM - Tomer Brisker

- Related to Refactor #8705: Update jQuery to recent version added

#2 - 12/24/2015 02:33 AM - Tomer Brisker

- Related to Bug #12934: Unhiding paramter values clears their value added

#3 - 12/24/2015 02:34 AM - Tomer Brisker

- Subject changed from Check js code against jQuery upgrade guides and release notes to Check js code against jQuery upgrade guide and release

notes

- Description updated

#4 - 12/24/2015 04:00 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#5 - 02/25/2016 09:13 AM - Shlomi Zadok

- Assignee changed from Tomer Brisker to Shlomi Zadok

#6 - 02/25/2016 09:48 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3241 added

#7 - 03/04/2016 10:54 AM - Dominic Cleal

- translation missing: en.field_release deleted (71)

I'm tentatively removing this from the 1.11.0 blocker list as it appears the changes are more to fix deprecations and not bugs.  Please correct me if I've

missed something important that will be needed in 1.11.

#8 - 03/07/2016 04:24 AM - Tomer Brisker
Dominic - as far as I can tell none of these are breaking changes, if anything breaks we can cherry pick back to 1.11.1 if needed. This should however

land in 1.12 so that hopefully by 1.13 we can get to jQuery 2 or even 3.

#9 - 08/17/2016 07:32 AM - Shlomi Zadok

- Assignee deleted (Shlomi Zadok)

#10 - 09/19/2016 05:13 AM - Shlomi Zadok

- Status changed from Ready For Testing to New

- Pull request deleted (https://github.com/theforeman/foreman/pull/3241)
